Loading...
Searching...
No Matches
icu::number::impl::RangeMacroProps Struct Reference

`#include <numberrangeformatter.h>`

Inheritance diagram for icu::number::impl::RangeMacroProps:

## Public Member Functions

bool | copyErrorTo (UErrorCode &status) const
| Check all members for errors.

## Data Fields

UnlocalizedNumberFormatter | formatter1
UnlocalizedNumberFormatter | formatter2
bool | singleFormatter = true
UNumberRangeCollapse | collapse = UNUM_RANGE_COLLAPSE_AUTO
UNumberRangeIdentityFallback | identityFallback = UNUM_IDENTITY_FALLBACK_APPROXIMATELY
Locale | locale

## Detailed Description

Internal
  Do not use. This API is for internal use only.

Definition at line 77 of file numberrangeformatter.h.

## Member Function Documentation

## copyErrorTo()

bool icu::number::impl::RangeMacroProps::copyErrorTo | ( | UErrorCode & | status | ) | const

inline

Check all members for errors.

Internal
  Do not use. This API is for internal use only.

Definition at line 102 of file numberrangeformatter.h.

References formatter1, and formatter2.

## Field Documentation

## collapse

UNumberRangeCollapse icu::number::impl::RangeMacroProps::collapse = UNUM_RANGE_COLLAPSE_AUTO

Internal
  Do not use. This API is for internal use only.

Definition at line 88 of file numberrangeformatter.h.

## formatter1

UnlocalizedNumberFormatter icu::number::impl::RangeMacroProps::formatter1

Internal
  Do not use. This API is for internal use only.

Definition at line 79 of file numberrangeformatter.h.

Referenced by copyErrorTo().

## formatter2

UnlocalizedNumberFormatter icu::number::impl::RangeMacroProps::formatter2

Internal
  Do not use. This API is for internal use only.

Definition at line 82 of file numberrangeformatter.h.

Referenced by copyErrorTo().

## identityFallback

UNumberRangeIdentityFallback icu::number::impl::RangeMacroProps::identityFallback = UNUM_IDENTITY_FALLBACK_APPROXIMATELY

Internal
  Do not use. This API is for internal use only.

Definition at line 91 of file numberrangeformatter.h.

## locale

Locale icu::number::impl::RangeMacroProps::locale

Internal
  Do not use. This API is for internal use only.

Definition at line 94 of file numberrangeformatter.h.

## singleFormatter

bool icu::number::impl::RangeMacroProps::singleFormatter = true

Internal
  Do not use. This API is for internal use only.

Definition at line 85 of file numberrangeformatter.h.

The documentation for this struct was generated from the following file:

- i18n/unicode/numberrangeformatter.h